Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class ColumnPixelData

    java.lang.Object
      org.eclipse.jface.viewers.ColumnLayoutData
          org.eclipse.jface.viewers.ColumnPixelData

    public class ColumnPixelData

extends ColumnLayoutData

Describes the width of a table column in pixels, and whether the column is resizable.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Field Summary
`boolean` `addTrim` Whether to allocate extra width to the column to account for trim taken by the column itself.
`int` `width` The column's width in pixels.

Fields inherited from class org.eclipse.jface.viewers.ColumnLayoutData
`resizable`

Constructor Summary
`ColumnPixelData(int widthInPixels)` Creates a resizable column width of the given number of pixels.
`ColumnPixelData(int widthInPixels, boolean resizable)` Creates a column width of the given number of pixels.
`ColumnPixelData(int widthInPixels, boolean resizable, boolean addTrim)` Creates a column width of the given number of pixels.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public int width

  The column's width in pixels.

### addTrim

    public boolean addTrim

  Whether to allocate extra width to the column to account for trim taken by the column itself. The default is `false` for backwards compatibility, but the recommended practice is to specify `true`, and specify the desired width for the content of the column, rather than adding a fudge factor to the specified width.

  Since:
    3.1

Constructor Detail

### ColumnPixelData

    public ColumnPixelData(int widthInPixels)

  Creates a resizable column width of the given number of pixels.

  Parameters:
    `widthInPixels` - the width of column in pixels

### ColumnPixelData

    public ColumnPixelData(int widthInPixels,
                           boolean resizable)

  Creates a column width of the given number of pixels.

  Parameters:
    `widthInPixels` - the width of column in pixels
    `resizable` - `true` if the column is resizable, and `false` if size of the column is fixed

### ColumnPixelData

    public ColumnPixelData(int widthInPixels,
                           boolean resizable,
                           boolean addTrim)

  Creates a column width of the given number of pixels.

  Parameters:
    `widthInPixels` - the width of column in pixels
    `resizable` - `true` if the column is resizable, and `false` if size of the column is fixed
    `addTrim` - `true` to allocate extra width to the column to account for trim taken by the column itself, `false` to use the given width exactly
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.